org.apache.cassandra.utils

## Class LockedDynamicList<E>

- java.lang.Object
- - org.apache.cassandra.utils.DynamicList<E>
  - - org.apache.cassandra.utils.LockedDynamicList<E>

-     public class LockedDynamicList<E>
      extends DynamicList<E>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.DynamicList

      `DynamicList.Node<E>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockedDynamicList(int maxExpectedSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DynamicList.Node<E>` | `append(E value, int maxSize)`
    `E` | `get(int index)`
    `void` | `remove(DynamicList.Node<E> node)`
    `int` | `size()`

    - ### Methods inherited from class org.apache.cassandra.utils.DynamicList

      `append, main`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockedDynamicList

          public LockedDynamicList(int maxExpectedSize)

  - ### Method Detail

    - #### append

          public DynamicList.Node<E> append(E value,
                                            int maxSize)

      Overrides:
        `append` in class `DynamicList<E>`

    - #### remove

          public void remove(DynamicList.Node<E> node)

      Overrides:
        `remove` in class `DynamicList<E>`

    - #### get

          public E get(int index)

      Overrides:
        `get` in class `DynamicList<E>`

    - #### size

          public int size()

      Overrides:
        `size` in class `DynamicList<E>`

Copyright © 2018 The Apache Software Foundation